Opened 11 years ago

Closed 10 years ago

Last modified 10 years ago

#900 closed defect (wontfix)

invisible nodes

Reported by: richard Owned by: richard@…
Priority: critical Milestone:
Component: potlatch (flash editor) Version:
Keywords: Cc:

Change History (5)

comment:1 Changed 10 years ago by art.penteur@…

Priority: majorcritical

I ran into this bug twice.

Each time, I edited two ways which were a part of a motorway for a minor correction (adding a bridge, or correcting the morotway_link).

Afterward, one of the two ways of the motorway appeared (both on mapnik and osmarender) as a straight line, between the first and last point of the way, as if all the intermediate node had disappeared.

Here are the details :

First case :

way 31825487, edited on 2009-03-06T18:24:38+00:00

I didn't notice anything wrong during the editing session.

But, on the next day, mapnik showed only a straight line.

The history shows the way with all the nodes (see http://www.openstreetmap.org/api/0.5/way/31825487/history). but a request to the database gives only two nodes :

http://www.openstreetmap.org/api/0.5/way/31825487

<osm version="0.5" generator="OpenStreetMap server"> <way id="31825487" visible="true" timestamp="2009-03-06T18:24:32+00:00"

user="Art Penter"> <nd ref="356320045"/>

<nd ref="28195312"/> <tag k="name" v="La Transeuropéenne"/> <tag k="created_by" v="Potlatch 0.10f"/> <tag k="highway" v="motorway"/> <tag k="int_ref" v="E 70"/>

<tag k="ref" v="A 89"/> <tag k="oneway" v="true"/> </way> </osm>

Meanwhile, an editing session in potlatch (10.f) shows all the nodes.

The explanation comes when you look at the nodes : http://www.openstreetmap.org/api/0.5/node/283249557/history

<osm version="0.5" generator="OpenStreetMap server"> <node id="283249557" lat="45.1493826" lon="1.171978" user="Welshie"

visible="true" timestamp="2008-08-04T00:13:23+01:00"/> <node id="283249557" lat="45.1493826" lon="1.171978" user="Marcussacapuces91" visible="true" timestamp="2009-01-22T18:50:12+00:00"/> <node id="283249557" lat="45.1493826" lon="1.171978" user="Marcussacapuces91" visible="true" timestamp="2009-01-22T18:54:45+00:00"/> <node id="283249557" lat="45.1493826" lon="1.171978" user="Art Penter" visible="true" timestamp="2009-03-06T18:23:35+00:00"/> <node id="283249557" lat="45.1493826" lon="1.171978" user="Art Penter" visible="true" timestamp="2009-03-06T18:24:26+00:00"/> <node id="283249557" lat="45.1493826" lon="1.171978" user="Art Penter" visible="false" timestamp="2009-03-06T18:24:38+00:00"/> </osm>

--> The last editing session set the "visible=false" attribute !

So, the result of this editing session is a non-coherent state of the database, that's why I tag this bug as "critical"

Details of my configuration : I ran Potlatch on firefox 3.06, on a AMD machine, running XP-SP3 with all current updates. The flash plug-in is Shockwave Flash 10.0 r12.

comment:2 Changed 10 years ago by art.penteur@…

Here are the details of my second case :

The affected way is 31315508

The history (http://www.openstreetmap.org/api/0.5/way/31315508/history) shows that this way always contained more than two nodes.

But the history of one node (http://www.openstreetmap.org/api/0.5/node/6563626/history) shows that between 2009-02-21T20:41:59+00:00 and 2009-03-07T14:07:36+00:00, the nodes were not visibles, which was absolutely not intended.

comment:4 Changed 10 years ago by Richard

Resolution: wontfix
Status: newclosed

I'm afraid there's nothing that can be done about this in the 0.5 API - it's an artefact of heavy server load causing database write operations to time otu.

0.6 introduces (at long last) transactions to the API which should resolve problems here. Please reopen the ticket after 0.6 is deployed (Potlatch 0.11), scheduled for the weekend of March 20-23, if you find the problem reoccurs after this.

comment:5 Changed 10 years ago by Shaun McDonald

The 0.6 api deployment has been delayed by a month.

Note: See TracTickets for help on using tickets.